This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876112 - [regression] unable to boot from usb-host devices
[regression] unable to boot from usb-host devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On: 876534
Blocks: 805414
  Show dependency treegraph
 
Reported: 2012-11-13 05:55 EST by Ján Tomko
Modified: 2014-06-17 23:18 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.3.0-rc0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 876534 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:42:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ján Tomko 2012-11-13 05:55:26 EST
Description of problem:
USB flash drive passed ass usb-host gets skipped at boot.

Version-Release number of selected component (if applicable):
qemu-kvm-1.2.0-18.el7
Upstream since commit a844ed842d9a9d929645c09ae0f52f753d7a02e0
    usb-host: attach only to running guest

How reproducible:
Always.

Steps to Reproduce:
Run qemu with -device usb-host,hostbus=2,hostaddr=4,id=hostdev0,bootindex=1
  
Actual results:
Machine boots from the drive next in the boot order.

Expected results:
The machine will boot from the USB drive.

Additional info:
It doesn't appear in the boot menu either.
Comment 2 Paolo Bonzini 2012-11-20 12:26:51 EST
Fixed by commit c06c68c928edd36eb56baa0d2db065bbec28af27.
Comment 5 huiqingding 2014-01-21 04:52:11 EST
Reproduce this issue using the following version:
qemu-kvm-1.2.0-18.el7.x86_64
kernel-3.7.0-0.36.el7.x86_64

Steps to Reproduce:
1. Boot guest
# /usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 2048 -smp 8,sockets=2,cores=2,threads=2 -no-kvm-pit-reinjection -uuid 350e716b-5f98-4bf0-9a2a-c8e423295244 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2  -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -chardev spicevmc,name=usbredir,id=usbredirchardev1 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0,id=sr0 -monitor stdio -device sga -chardev socket,id=serial1,path=/var/test1,server,nowait -device isa-serial,chardev=serial1   -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2E:5F:0B:1D:B2 -netdev tap,id=hostnet1,vhost=on -device virtio-net-pci,netdev=hostnet1,id=virtio-net-pci1,mac=08:2E:5F:0B:1D:B3 -device usb-ehci,id=ehci -device usb-host,hostbus=1,hostaddr=5,id=hostdev0,bootindex=1

2. Reboot guest
(qemu) system_reset

3. Press F12 to check boot menu

Actual results:
After step1,  cannot boot from the USB drive and boot from NIC card.
After step3, usb disk can be found in boot menu.

Verify this issue using the following version:
qemu-kvm-1.5.3-38.el7.x86_64
kernel-3.10.0-67.el7.x86_64

1. Boot guest
# /usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 2048 -smp 8,sockets=2,cores=2,threads=2 -no-kvm-pit-reinjection -uuid 350e716b-5f98-4bf0-9a2a-c8e423295244 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2  -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -chardev spicevmc,name=usbredir,id=usbredirchardev1 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0,id=sr0 -monitor stdio -device sga -chardev socket,id=serial1,path=/var/test1,server,nowait -device isa-serial,chardev=serial1   -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2E:5F:0B:1D:B2 -netdev tap,id=hostnet1,vhost=on -device virtio-net-pci,netdev=hostnet1,id=virtio-net-pci1,mac=08:2E:5F:0B:1D:B3 -device usb-ehci,id=ehci -device usb-host,hostbus=1,hostaddr=5,id=hostdev0,bootindex=1

2. Reboot guest
(qemu) system_reset

3. Press F12 to check boot menu

Actual results:
After step1,  can boot from the USB drive.
After step3, usb disk can be found in boot menu.

Based on the above results, I think this bug has been fixed.
Comment 7 Ludek Smid 2014-06-13 08:42:37 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.